%define tarball xf86-video-omapfb
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir       %{moduledir}/drivers

Summary:   Xorg X11 omap frame buffer driver
Name:      xorg-x11-drv-omapfb
Version:   0.1.1
Release:   1.git20110428%{?dist}
URL:       http://www.x.org
# tarball created by running 
# git clone git http://git.pingu.fi/xf86-video-omapfb
# tar -cjvr xf86-video-omapfb.tar.bz2 xf86-video-omapfb
Source0:   %{tarball}.tar.bz2
License: MIT
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch: %{arm}

BuildRequires: xorg-x11-server-sdk >= 1.4.99.1-0.15
BuildRequires: libXext-devel
BuildRequires: autoconf automake libtool

Requires:  xorg-x11-server-Xorg >= 1.4.99.1

%description 
X.Org X11 omap frame buffer driver.

%prep
%setup -q -n %{tarball}

%build
autoreconf -v --install || exit 1
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING
%{driverdir}/omapfb_drv.so
#%{_mandir}/man4/omapfb.4*

%changelog
* Thu Apr 28 2011 Dennis Gilmore <dennis@ausil.us> - 0.1.1-1.git20110428
- pull git snapshot
- drop all the patches
- incluse README and COPYING as docs

* Fri Oct 22 2010 Dennis Gilmore <dennis@ausil.us> 0.1.1-1
- initial fedora packaging
